Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
acosh.c File Reference
`#include <errno.h>`
`#include <float.h>`
`#include <math.h>`
`#include "ruby.h"`
Include dependency graph for acosh.c:

Go to the source code of this file.

## Macros
#define | DBL_MANT_DIG 53 /* in this case, at least 12 digit precision */
#define | BIG_CRITERIA_BIT (1<<DBL_MANT_DIG/2)
#define | BIG_CRITERIA (1.0*BIG_CRITERIA_BIT)
#define | SMALL_CRITERIA_BIT (1<<(DBL_MANT_DIG/3))
#define | SMALL_CRITERIA (1.0/SMALL_CRITERIA_BIT)

## Functions
double | acosh (double x)
double | asinh (double x)
double | atanh (double x)

## Macro Definition Documentation

#define BIG_CRITERIA (1.0*BIG_CRITERIA_BIT)

Definition at line 23 of file acosh.c.

Referenced by acosh(), and asinh().

#define BIG_CRITERIA_BIT (1<<DBL_MANT_DIG/2)

Definition at line 21 of file acosh.c.

#define DBL_MANT_DIG 53 /* in this case, at least 12 digit precision */

Definition at line 19 of file acosh.c.

Referenced by asinh(), big2dbl(), big_fdiv(), float_decode_internal(), and ruby_hdtoa().

#define SMALL_CRITERIA (1.0/SMALL_CRITERIA_BIT)

Definition at line 29 of file acosh.c.

Referenced by asinh(), and atanh().

#define SMALL_CRITERIA_BIT (1<<(DBL_MANT_DIG/3))

Definition at line 27 of file acosh.c.

## Function Documentation

double acosh | ( | double | x) |  |

Definition at line 36 of file acosh.c.

References BIG_CRITERIA.

Referenced by math_acosh().

double asinh | ( | double | x) |  |

Definition at line 52 of file acosh.c.

References BIG_CRITERIA, DBL_MANT_DIG, neg, and SMALL_CRITERIA.

Referenced by math_asinh().

double atanh | ( | double | x) |  |

Definition at line 75 of file acosh.c.

References errno, isinf(), neg, and SMALL_CRITERIA.

Referenced by math_atanh().